/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __vegetation_DrawPlant_h__
#define __vegetation_DrawPlant_h__

namespace fe
{

/**************************************************************************//**
	@brief Draw all plants

	@ingroup vegetation
*//***************************************************************************/
class FE_DL_EXPORT DrawPlant: virtual public HandlerI
{
	public:
				DrawPlant(void);

				//* as HandlerI
virtual void	handle(Record &record);

	private:
		Forest	m_forestRV;
		Plant	m_plantRV;

		SpatialTransform	m_up[3];
};

} /* namespace */

#endif /* __vegetation_DrawPlant_h__ */

